<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="rulesTableForm_#{id}">
        #{dataTableStateHolder.setAscendingOn('keyword')}
        <rich:dataTable value="#{rules}" var="rule"
                        rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="ruleTable_#{id}"
                        render="ds">
            <g:column sortBy="#{'keyword'}" sortOrder="ascending"
                filterBy="#{'keyword'}" filterEvent="keyup">
                <ui:define name="header">#{messages['net.ihe.gazelle.xval.Keyword']}</ui:define>
                <h:outputText value="#{rule.keyword}"/>
            </g:column>
            <g:column rendered="#{displayRuleStatusColumn}" sortBy="#{'status'}">
                <ui:define name="header">#{messages['net.ihe.gazelle.xval.Status']}</ui:define>
                <h:outputText value="#{rule.status.value}" styleClass="gzl-label gzl-label-green"
                              rendered="#{rule.status.value.equals('ACTIVE')}"/>
                <h:outputText value="#{rule.status.value}" styleClass="gzl-label gzl-label-blue"
                              rendered="#{rule.status.value.equals('INACTIVE')}"/>
                <h:outputText value="#{rule.status.value}" styleClass="gzl-label gzl-label-red"
                              rendered="#{rule.status.value.equals('DEPRECATED')}"/>
            </g:column>
            <g:column filterBy="#{'version'}" filterEvent="keyup">
                <ui:define name="header">#{messages['net.ihe.gazelle.xval.Version']}</ui:define>
                <h:outputText value="#{rule.version}"/>
            </g:column>
            <g:column>
                <ui:define name="header">#{messages['net.ihe.gazelle.xval.Severity']}</ui:define>
                <h:outputText value="#{rule.level.value}"/>
            </g:column>
            <g:column>
                <ui:define name="header">#{messages['net.ihe.gazelle.xval.Description']}</ui:define>
                <h:outputText value="#{rule.description}"/>
            </g:column>
            <g:column>
                <ui:define name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.Assertions']}"
                                  title="Number of covered assertions"/>
                </ui:define>
                <h:outputText value="#{rule.assertions.size()}" title="Number of assertions covered by this rule"/>
            </g:column>
            <g:column sortBy="#{'lastModifiedDate'}">
                <ui:define name="header">#{messages['net.ihe.gazelle.xval.LastModifiedOn']}</ui:define>
                <g:date date="true" time="true" value="#{rule.lastModifiedDate}" tooltip="false"/>
            </g:column>
            <ui:insert name="additionalColumns"/>
            <g:column>
                <ui:define name="header">#{messages['net.ihe.gazelle.xval.Actions']}</ui:define>
                <div class="gzl-never-wrap">
                    <g:imagelink value="#{rule}" fontIcon="gzl-icon-search "/>
                    <ui:insert name="actionButtons"/>
                </div>
            </g:column>
            <f:facet name="footer">
                <ui:include src="/util/datatableFooter.xhtml">
                    <ui:param name="dataScrollerId" value="ds"/>
                    <ui:param name="dataTableId" value="ruleTable_#{id}"/>
                </ui:include>
            </f:facet>
        </rich:dataTable>
    </h:form>
</ui:composition>
